<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_clearence.png">Clearance</h2>
<div class="card formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="clearanceForm" (ngSubmit)="onSubmit($event)" #formEl="ngForm">

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Type</mat-label>
                        <mat-select formControlName="Type" required>
                            <mat-option value="Vacation">Vacation</mat-option>
                            <mat-option value="Final Exit">Final Exit</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Type'].errors?.required &&
                clearanceForm.controls['Type'].touched">
                            Please Select Type.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Reason For Leaving</mat-label>
                        <mat-select formControlName="Rfl" required>
                            <mat-option value="Annual Leave">Annual Leave</mat-option>
                            <mat-option value="Better Career Opportunity">Better Career Opportunity</mat-option>
                            <mat-option value="Emergency Leave">Emergency Leave</mat-option>
                            <mat-option value="Health Reason">Health Reason</mat-option>
                            <mat-option value="Leave with Advance">Leave with Advance</mat-option>
                            <mat-option value="Personal Reason">Personal Reason</mat-option>
                            <mat-option value="Return to Home Country">Return to Home Country</mat-option>
                            <mat-option value="Unpleasent Work Environment">Unpleasent Work Environment</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Rfl'].errors?.required &&
                clearanceForm.controls['Rfl'].touched">
                            Please Select Reason For Leaving.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>


            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Last Work Day</mat-label>

                        <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="LastWorkDay" required>
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                        <mat-error *ngIf="clearanceForm.controls['LastWorkDay'].errors?.required &&
                clearanceForm.controls['LastWorkDay'].touched">
                            Please Select Last Work Day.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Expected Return Date</mat-label>
                        <input matInput (click)="picker.open()" [matDatepicker]="picker" formControlName="ExpectedReturnDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                        <mat-error *ngIf="clearanceForm.controls['ExpectedReturnDate'].errors?.required &&
                clearanceForm.controls['ExpectedReturnDate'].touched">
                            Please Select Expected Return Date.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Items: Office</mat-label>
                        <mat-select formControlName="Itemsgsd" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemsgsd'].errors?.required &&
                clearanceForm.controls['Itemsgsd'].touched">
                            Please Select Items: Office.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Items: Car & Key</mat-label>
                        <mat-select formControlName="Itemsgsdck" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemsgsdck'].errors?.required &&
                clearanceForm.controls['Itemsgsdck'].touched">
                            Please Select Items: Car & Key.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Items: Telephone </mat-label>
                        <mat-select formControlName="Itemsgsdte" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemsgsdte'].errors?.required &&
                clearanceForm.controls['Itemsgsdte'].touched">
                            Please Select Items: Telephone.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Items: Mobile </mat-label>
                        <mat-select formControlName="Itemsgsdmo" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemsgsdmo'].errors?.required &&
                clearanceForm.controls['Itemsgsdmo'].touched">
                            Please Select Items: Mobile.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Item IT: Laptop</mat-label>
                        <mat-select formControlName="Itemlap" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemlap'].errors?.required &&
                clearanceForm.controls['Itemlap'].touched">
                            Please Select Item IT: Laptop.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Item IT: PC </mat-label>
                        <mat-select formControlName="Itempc" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itempc'].errors?.required &&
                clearanceForm.controls['Itempc'].touched">
                            Please Select Item IT: PC.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Item IT: Printer </mat-label>
                        <mat-select formControlName="Itemprint" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemprint'].errors?.required &&
                clearanceForm.controls['Itemprint'].touched">
                            Please Select Item IT: Printer.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Item IT: Clearing User ID </mat-label>
                        <mat-select formControlName="Itemid" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemid'].errors?.required &&
                clearanceForm.controls['Itemid'].touched">
                            Please Select Item IT: Clearing User ID.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Item IT: Software </mat-label>
                        <mat-select formControlName="Itemsoft" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['Itemsoft'].errors?.required &&
                clearanceForm.controls['Itemsoft'].touched">
                            Please Select Item IT: Software.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Housing</mat-label>
                        <mat-select formControlName="housing" required>
                            <mat-option value="true">Yes</mat-option>
                            <mat-option value="false">No</mat-option>
                        </mat-select>
                        <mat-error *ngIf="clearanceForm.controls['housing'].errors?.required &&
                clearanceForm.controls['housing'].touched">
                            Please Select Housing.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Housing Details</mat-label>
                        <textarea matInput maxlength="120" formControlName="Housidet" required></textarea>
                        <mat-error *ngIf="clearanceForm.controls['Housidet'].errors?.required &&
                clearanceForm.controls['Housidet'].touched">
                            Please Enter Housing Details.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Notes</mat-label>
                        <textarea matInput maxlength="120" formControlName="Notes" required></textarea>
                        <mat-error *ngIf="clearanceForm.controls['Notes'].errors?.required &&
                clearanceForm.controls['Notes'].touched">
                            Please Enter Notes.
                        </mat-error>
                    </mat-form-field>
                </div>
            </div> <br>
            <div class="text-center">
                <button mat-raised-button [disabled]="!clearanceForm.valid" class="submit-btn"> Submit</button>
                <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
            </div>

        </form>
    </div>
</div>